This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1468395 - VPN Causes 100% CPU - Missing Route
VPN Causes 100% CPU - Missing Route
Status: NEW
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 20:03 EDT by James
Modified: 2017-07-22 00:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2017-07-06 20:03:41 EDT
Description of problem:
Create a VPN Connection and millions of packets go out the GRE tunnel


Version-Release number of selected component (if applicable):
NetworkManager-pptp-gnome-1.2.4-1.fc25.x86_64
NetworkManager-pptp-1.2.4-1.fc25.x86_64
pptp-1.9.0-1.fc25.x86_64

Linux localhost.localdomain 4.11.8-200.fc25.x86_64 #1 SMP Thu Jun 29 16:13:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:

Add A VPN - Route only vpn traffic doesn't help either way.

Network Manager Config:

[connection]
id=VPN
uuid=2f8d94e8-fd57-44be-9f5b-74fe651a045b
type=vpn
autoconnect=false
permissions=[REMOVED]
secondaries=
timestamp=1499307382
zone=trusted

[vpn]
gateway=[REMOVED]
password-flags=1
refuse-chap=yes
refuse-eap=yes
refuse-mschap=yes
refuse-pap=yes
user=[REMOVED]
service-type=org.freedesktop.NetworkManager.pptp

[ipv4]
dns-search=
method=auto
never-default=true
route1=192.168.4.0/24,[VPNIP],10

[ipv6]
addr-gen-mode=stable-privacy
dns-search=
method=ignore




Actual results:
100% CPU no VPN
Computer Overheating
Can still ping local gateway

Expected results:
VPN

Additional info:

Routing Seems to be Wrong:


Route Before VPN:
[root@localhost sbin]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
0.0.0.0         192.168.0.1     0.0.0.0         UG    600    0        0 wlp4s0
192.168.0.0     0.0.0.0         255.255.255.0   U     600    0        0 wlp4s0
192.168.122.0   0.0.0.0         255.255.255.0   U     0      0        0 virbr0

Route After VPN NOT WORKING:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
0.0.0.0         192.168.0.1     0.0.0.0         UG    600    0        0 wlp4s0
192.168.0.0     0.0.0.0         255.255.255.0   U     600    0        0 wlp4s0
192.168.0.1     0.0.0.0         255.255.255.255 UH    600    0        0 wlp4s0
192.168.4.0     [VPNIPADDR]     255.255.255.0   UG    10     0        0 ppp0
192.168.122.0   0.0.0.0         255.255.255.0   U     0      0        0 virbr0
[VPNIPADDR]     0.0.0.0         255.255.255.255 UH    50     0        0 ppp0


After booting kernel 
Linux localhost.localdomain 4.8.6-300.fc25.x86_64 #1 SMP Tue Nov 1 12:36:38 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Connect to same VPN same settings- WORKS:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
0.0.0.0         192.168.0.1     0.0.0.0         UG    600    0        0 wlp4s0
192.168.0.0     0.0.0.0         255.255.255.0   U     600    0        0 wlp4s0
192.168.0.1     0.0.0.0         255.255.255.255 UH    600    0        0 wlp4s0
192.168.4.0     [VPNIPADDR]     255.255.255.0   UG    10     0        0 ppp0
192.168.122.0   0.0.0.0         255.255.255.0   U     0      0        0 virbr0
[VPNIPADDR]     192.168.0.1     255.255.255.255 UGH   0      0        0 wlp4s0 << MISSING FROM ABOVE
[VPNIPADDR]     0.0.0.0         255.255.255.255 UH    50     0        0 ppp0
Comment 1 Thomas Haller 2017-07-10 06:43:08 EDT
which process consumes 100% CPU? Try `ps` or `top`.
Comment 2 James 2017-07-10 15:03:40 EDT
top - 12:01:32 up 1 min,  1 user,  load average: 2.78, 1.04, 0.38
Tasks: 214 total,   3 running, 211 sleeping,   0 stopped,   0 zombie
%Cpu(s): 17.6 us, 22.1 sy,  0.0 ni, 39.2 id,  0.0 wa,  0.0 hi, 21.0 si,  0.0 st
KiB Mem :  7912980 total,  5899996 free,  1374436 used,   638548 buff/cache
KiB Swap:  7815164 total,  7815164 free,        0 used.  6254020 avail Mem 

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                                                            
 2138 root      20   0    6472    704    628 D  55.8  0.0   0:24.99 pptpgw                                                             
   18 root      20   0       0      0      0 S  29.9  0.0   0:09.71 ksoftirqd/1                                                        
  107 root      20   0       0      0      0 R  17.6  0.0   0:04.37 kworker/u4:5 



 2138 ?        R      0:39 /sbin/pptp 216.171.98.93 --nolaunchpppd --loglevel 0 --logstring nm-pptp-service-2105
Comment 3 Thomas Haller 2017-07-17 10:19:44 EDT
sounds like http://pptpclient.sourceforge.net/howto-diagnosis.phtml#ip_loop

From the redacted routing table it's not entirely clear to me, but it seems that you route [VPNIPADDR] via the VPN tunnel itself. That would be a mis-configuration.

  route1=192.168.4.0/24,[VPNIP],10

looks wrong. Does it work if you replace [VPNIP] with 0.0.0.0 ?
Comment 4 James 2017-07-22 00:15:55 EDT
If I boot the older kernel the same configuration works.

I've tried with and without that route on there the result is the same.


The problem is the one very important route is missing when I boot the latest kernel.

This one:

[VPNIPADDR]     192.168.0.1     255.255.255.255 UGH   0      0        0 wlp4s0 << MISSING FROM ABOVE


Maybe the new fedora will fix this.. don't have time to upgrade at the moment and I can live with an older kernel.

Note You need to log in before you can comment on or make changes to this bug.